Skip to main content
POST
/
v3
/
10dlc
/
brands
/
{brand_id}
/
vettings
/
appeals
Appeal an external vetting for a 10DLC Brand
curl --request POST \
  --url https://api.wavix.com/v3/10dlc/brands/{brand_id}/vettings/appeals \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "appeal_categories": [
    "VERIFY_TAX_ID"
  ],
  "evidence": [
    "855dff49-c097-4645-3983-08dcb9856232"
  ],
  "explanation": "Find the company incorporation docs attached and please review the Brand Identity status.",
  "evp_id": 1,
  "vetting_id": "48c0ffaa-4e51-4d44-3982-08dcb9856232"
}
'
{
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer token using appid (Authorization: Bearer )

Path Parameters

brand_id
string
required

Unique identifier of a Brand

Example:

"B6AI7PA"

Body

application/json

Request body containing the required parameters.

Request to appeal an external vetting decision for a 10DLC Brand.

appeal_categories
string[]
required

The list of appeal categories. The allowed appeal categories are: VERIFY_TAX_ID, VERIFY_NON_PROFIT, VERIFY_GOVERNMENT, LOW_SCORE

Example:
["VERIFY_TAX_ID"]
evidence
string[]
required

An array of evidence UUIDs to be associated with the appeal

Example:
["855dff49-c097-4645-3983-08dcb9856232"]
explanation
string

The appeal comment or justification

Example:

"Find the company incorporation docs attached and please review the Brand Identity status."

evp_id
string

EVP ID

Example:

1

vetting_id
string

The vetting unique identifier

Example:

"48c0ffaa-4e51-4d44-3982-08dcb9856232"

Response

Request successful.

success
boolean
required

Indicates a successful request

Example:

true